# TMCBezierPath Class Reference
[Data Structures]

Inheritance diagram for TMCBezierPath:

List of all members.

## Public Member Functions
| TMCBezierPath ()
| ~TMCBezierPath ()
real | GeTMCLocationRecs (real pathPos, TMCLocationRec *&rec, TMCLocationRec *&nextRec, int32 *recIndex=nil)
void | GetLocation (real pathBezierPos, TVector3 &outPoint)
void | SetLocation (const TMCLocationRec &newLoc)
void | ReCalcAllApprox ()
int16 | GetNbApproxPoints ()
void | ComputeSegmentBeginPos ()
void | ReCalcAllVectorUp ()
void | ReCalcAllPseudoCurv ()
void | Init ()
void | CopyDataFrom (const TMCBezierPath *from)
void | SetIsLinear (boolean isLinear)
boolean | IsLinear ()
## Public Attributes
TMCLocationsList | fLocations
int32 | fAlignAndBankType
real | fMaxBanking
## Protected Attributes
boolean | fIsLinear
## Private Member Functions
| TMCBezierPath (const TMCBezierPath &)
| Copy-constructor is not defined for this class, use CopyDataFrom instead.
TMCBezierPath & | operator= (const TMCBezierPath &)
| operator= is not defined for this class, use CopyDataFrom instead.

## Detailed Description

A 3D bezier curve

## Constructor & Destructor Documentation

TMCBezierPath::TMCBezierPath | ( | const TMCBezierPath & |  | ) | `[private]`

Copy-constructor is not defined for this class, use CopyDataFrom instead.

TMCBezierPath::TMCBezierPath | ( |  | ) |

TMCBezierPath::~TMCBezierPath | ( |  | ) |

## Member Function Documentation

void TMCBezierPath::ComputeSegmentBeginPos | ( |  | ) |

void TMCBezierPath::CopyDataFrom | ( | const TMCBezierPath * | from | ) |

void TMCBezierPath::GetLocation | ( | real | pathBezierPos,
|  | TVector3 & | outPoint |
| ) |  |  |

real TMCBezierPath::GeTMCLocationRecs | ( | real | pathPos,
|  | TMCLocationRec *& | rec,
|  | TMCLocationRec *& | nextRec,
|  | int32 * | recIndex = `nil` |
| ) |  |  |

int16 TMCBezierPath::GetNbApproxPoints | ( |  | ) |

void TMCBezierPath::Init | ( |  | ) |

boolean TMCBezierPath::IsLinear | ( |  | ) | `[inline]`

TMCBezierPath& TMCBezierPath::operator= | ( | const TMCBezierPath & |  | ) | `[private]`

operator= is not defined for this class, use CopyDataFrom instead.

void TMCBezierPath::ReCalcAllApprox | ( |  | ) |

void TMCBezierPath::ReCalcAllPseudoCurv | ( |  | ) |

void TMCBezierPath::ReCalcAllVectorUp | ( |  | ) |

void TMCBezierPath::SetIsLinear | ( | boolean | isLinear | ) | `[inline]`

void TMCBezierPath::SetLocation | ( | const TMCLocationRec & | newLoc | ) |

## Member Data Documentation

int32 TMCBezierPath::fAlignAndBankType

boolean TMCBezierPath::fIsLinear`[protected]`

TMCLocationsList TMCBezierPath::fLocations

real TMCBezierPath::fMaxBanking

The documentation for this class was generated from the following file:

- MCBezierPath.h